%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_Db
%global pear_channel pear.horde.org

Name:           php-horde-Horde-Db
Version:        2.4.1
Release:        1%{?dist}
Summary:        Horde Database Libraries

License:        BSD
URL:            http://pear.horde.org
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildArch:      noarch
BuildRequires:  php(language) >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
# To run unit tests
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Cache) >= 2.0.0

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
Requires:       php-hash
Requires:       php-pcre
Requires:       php-spl
Requires:       php-pdo
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(%{pear_channel})
Requires:       php-pear(%{pear_channel}/Horde_Date) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Date) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Support) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Support) <  3.0.0
# Optionnal
Requires:       php-pear(%{pear_channel}/Horde_Autoloader) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Autoloader) <  3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Cache) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Cache) <  3.0.0

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
Horde database/SQL abstraction layer


%prep
%setup -q -c

cd %{pear_name}-%{version}
cp ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
%{_bindir}/phpunit -d date.timezone=UTC  --bootstrap bootstrap.php .

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/Db
%{pear_phpdir}/Horde/Db.php
%{pear_testdir}/%{pear_name}
%{_bindir}/horde-db-migrate-component


%changelog
* Thu Feb 18 2021 josef radinger <cheese@nosuchhost.net> - 2.4.1-1
- bump version
- fix check-section
- cleanup

* Tue Feb 28 2017 josef radinger <cheese@nosuchhost.net> - 2.4.0-1
- bump version
- remove requirement on php-ereg
- add requirement on php-hash

* Sat Dec 17 2016 josef radinger <cheese@nosuchhost.net> - 2.3.4-1
- bump version

* Sun Sep 04 2016 josef radinger <cheese@nosuchhost.net> - 2.3.3-1
- bump version

* Sun Jul 10 2016 josef radinger <cheese@nosuchhost.net> - 2.3.2-1
- bump version

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 2.3.1-1
- bump version

* Thu Dec 03 2015 josef radinger <cheese@nosuchhost.net> - 2.3.0-2
- new check-section taken from official rpms

* Wed Nov 18 2015 josef radinger <cheese@nosuchhost.net> - 2.3.0-1
- bump version
- cleanup spec-file

* Fri May 01 2015 josef radinger <cheese@nosuchhost.net> - 2.2.3-1
- bump version

* Sat Nov 22 2014 josef radinger <cheese@nosuchhost.net> - 2.2.2-1
- bump version

* Thu Nov 06 2014 josef radinger <cheese@nosuchhost.net> - 2.2.0-1
- bump version

* Thu Oct 23 2014 josef radinger <cheese@nosuchhost.net> - 2.1.5-1
- bump version

* Thu Oct 02 2014 josef radinger <cheese@nosuchhost.net> - 2.1.4-1
- bump version

* Wed Jun 18 2014 josef radinger <cheese@nosuchhost.net> - 2.1.3-1
- bump version

* Wed May 21 2014 josef radinger <cheese@nosuchhost.net> - 2.1.2-1
- bump version

* Sun Apr 13 2014 josef radinger <cheese@nosuchhost.net> - 2.1.1-1
- Update to 2.1.1

* Fri Aug 23 2013 Remi Collet <remi@fedoraproject.org> - 2.0.4-1
- Update to 2.0.4

* Sat May 04 2013 Remi Collet <remi@fedoraproject.org> - 2.0.3-1
- Update to 2.0.3

* Wed Mar 06 2013 Remi Collet <remi@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2
- enable tests during build

* Mon Nov 19 2012 Remi Collet <remi@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1 for remi repo

* Fri Nov  2 2012 Remi Collet <remi@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0 for remi repo

* Thu Jun 21 2012 Nick Bebout <nb@fedoraproject.org> - 1.2.1-1
- Upgrade to 1.2.1

* Sat Jan 28 2012 Nick Bebout <nb@fedoraproject.org> - 1.2.0-1
- Initial package

